<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <title>Current Weather App</title>
    <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <!-- Các file css và js tự định nghĩa thêm -->
    <link rel="stylesheet" href="style.css">
    <script src="script.js"></script>
</head>

<body>
    <!-- Header -->
    <div id="head-link">
        <nav class="navbar navbar-light bg-light">
            <span class="navbar-brand mb-0 h1" href="#">Weather App</span>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="nav-link active" href="index.html">Current</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="forecast.html">Forecast</a>
                </li>
            </ul>
        </nav>
    </div>
    <div id="head">
        <p2>Get Weather Forecast</p2>
    </div>
    <!-- Title -->
    <div id="body">
        <p4>Enter City Name</p4>
        <!-- Content -->
        <div id="content">
            <div class="row">
                <div class="col-sm-12">
                    <input type="text" id="inp-city-name" placeholder="Enter city name" />
                    <input type="text" id="inp-next-day" placeholder="Next day: Min - 1 & Max - 16" />
                    <button type="button" id="btn-search-forecast" class="btn btn-info">Search City</button>
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-sm-12">
                    <h3>Weather Forecast For Hanoi, VN</h3>
                </div>
                <div class="col-sm-12">
                    <table id="weather-forecast-table" class="table table-bordered table-striped table-hover">
                        <thead class="thead">
                            <tr>
                                <th scope='col'>Next day</th>
                                <th scope='col'>Icon</th>
                                <th scope='col'>Weather</th>
                                <th scope='col'>Description</th>
                                <th scope='col'>Morning Temperature</th>
                                <th scope='col'>Night Temperature</th>
                                <th scope='col'>Min. Temperature</th>
                                <th scope='col'>Max. Temperature</th>
                                <th scope='col'>Pressure</th>
                                <th scope='col'>Humidity</th>
                                <th scope='col'>Wind Speed</th>
                                <th scope='col'>Wind Direction</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <!-- Footer -->
        <div id="footer">
            <div class="row">
                <div class="col-sm-12">
                    <p3>Copyright © Weather App</p3>
                </div>
            </div>
        </div>
</body>
<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
</script>

</html>